%define name	pudb
%define version	2011.3
%define release %mkrel 1

Summary:	Full-screen, console-based visual debugger for Python
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
Source1:	pudb
License:	MIT
Group:		Development/Python
Url:		http://pypi.python.org/pypi/pudb/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-urwid >= 0.9.9.1
Requires:	python-pygments >= 1.0
BuildRequires:	python-setuptools

%description
PuDB is a full-screen, console-based visual debugger for Python.
It aims to provide all the niceties of modern GUI-based debuggers
in a lightweight and keyboard-friendly package. PuDB allows you
to debug code right where you write and test it - in a terminal. If
you've worked with the excellent (but nowadays ancient) DOS-based
Turbo Pascal or C tools, PuDB's UI might look familiar.

%prep
%setup -q

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%__mkdir -p %{buildroot}%{_bindir}
%__install -m 755 %SOURCE1 %{buildroot}%{_bindir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%_bindir/pudb
%py_puresitedir/*


%changelog
* Mon Aug 29 2011 Lev Givon <lev@mandriva.org> 2011.3-1mdv2011.0
+ Revision: 697395
- Update to 2011.3.

* Wed Jun 22 2011 Lev Givon <lev@mandriva.org> 2011.2-1
+ Revision: 686707
- Update to 2011.2.

* Fri Mar 18 2011 Lev Givon <lev@mandriva.org> 2011.1-1
+ Revision: 646453
- Update to 2011.1.

* Mon Feb 14 2011 Lev Givon <lev@mandriva.org> 0.93.1-1
+ Revision: 637745
- Update to 0.93.1.

* Sun Nov 07 2010 Funda Wang <fwang@mandriva.org> 0.92.15-1mdv2011.0
+ Revision: 594707
- update file list

* Tue Jan 19 2010 Lev Givon <lev@mandriva.org> 0.92.15-1mdv2010.1
+ Revision: 493639
- Update to 0.92.15.

* Mon Dec 21 2009 Lev Givon <lev@mandriva.org> 0.92.14-1mdv2010.1
+ Revision: 480619
- Update to 0.92.14.

* Tue Nov 10 2009 Lev Givon <lev@mandriva.org> 0.92.13-1mdv2010.1
+ Revision: 464323
- Update to 0.92.13.

* Mon Sep 14 2009 Lev Givon <lev@mandriva.org> 0.92.12-1mdv2010.0
+ Revision: 441033
- Update to 0.92.12.

* Sun Jul 26 2009 Lev Givon <lev@mandriva.org> 0.92.11-1mdv2010.0
+ Revision: 399938
- Update to 0.92.11.

* Mon Jul 20 2009 Lev Givon <lev@mandriva.org> 0.92.9-1mdv2010.0
+ Revision: 398183
- Update to 0.92.9.

* Mon Jul 13 2009 Lev Givon <lev@mandriva.org> 0.92.8-1mdv2010.0
+ Revision: 395667
- imported package pudb

